### Method

# Peas Engine create_extension_valist

#### Declaration [src]

    PeasExtension*
    peas_engine_create_extension_valist (
      PeasEngine* engine,
      PeasPluginInfo* info,
      GType extension_type,
      const gchar* first_property,
      va_list var_args
    )

#### Description [src]

If the plugin identified by `info` implements the `extension_type`, then this function will return a new instance of this implementation, wrapped in a new `PeasExtension` instance. Otherwise, it will return `NULL`.

Since libpeas 1.22, `extension_type` can be an Abstract `GType` and not just an Interface `GType`.

See `peas_engine_create_extension()` for more information.

This method is not directly available to language bindings.

#### Parameters

`info`

  Type: `PeasPluginInfo`

  A loaded `PeasPluginInfo`.

  The data is owned by the caller of the method.

`extension_type`

  Type: `GType`

  The implemented extension `GType`.

`first_property`

  Type: `const gchar*`

  The name of the first property.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`var_args`

  Type: `va_list`

  The value of the first property, followed optionally by more name/value pairs, followed by `NULL`.

#### Return value

Type: `PeasExtension`

A new instance of `PeasExtension` wrapping the `extension_type` instance, or `NULL`.

The returned data is owned by the instance.